/***************************************************************************
    smb4knetworkoptions  -  description
                             -------------------
    begin                : Sa Nov 15 2003
    copyright            : (C) 2003 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// application specific includes
#include "smb4knetworkoptions.h"

// Qt includes
#include <qbuttongroup.h>
#include <qvgroupbox.h>
#include <qlayout.h>

// KDE includes
#include <klocale.h>

Smb4KNetworkOptions::Smb4KNetworkOptions( QWidget *parent, const char *name ) : QWidget( parent, name )
{
  QGridLayout *grid = new QGridLayout( this );
  grid->setSpacing( 5 );

  //
  // The browse list group box.
  //
  QVGroupBox *browsebox = new QVGroupBox( i18n( "Browse List" ), this );
  QButtonGroup *browse = new QButtonGroup( browsebox );
  browse->setLineWidth( 0 );

  useNMB = new QRadioButton( i18n( "Scan the network to retrieve the browse list." ), browse );
  useNMB->setGeometry( QRect( 0, 0, useNMB->sizeHint().width(), useNMB->sizeHint().height() ) );

  useHost = new QRadioButton( i18n( "Query a host to retrieve the browse list." ), browse );
  useHost->setGeometry( QRect( 0, useNMB->frameGeometry().bottom()+5, useHost->sizeHint().width(), useHost->sizeHint().height() ) );

  QWidget *nameWidget = new QWidget( browsebox );
  QGridLayout *nameLayout = new QGridLayout( nameWidget );
  QSpacerItem *spacer1 = new QSpacerItem( 25, 0, QSizePolicy::Fixed, QSizePolicy::Minimum );
  hostLabel = new QLabel( i18n( "NetBIOS name/IP address:" ), nameWidget );
  hostName = new KLineEdit( nameWidget );
  hostName->setFixedWidth( 150 );
  QSpacerItem *spacer2 = new QSpacerItem( 10, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
  nameLayout->setSpacing( 5 );
  nameLayout->addItem( spacer1, 0, 0 );
  nameLayout->addWidget( hostLabel, 0, 1, 0 );
  nameLayout->addWidget( hostName, 0, 2, 0 );
  nameLayout->addItem( spacer2, 0, 3 );

  QWidget *winsWidget = new QWidget( browsebox );
  QGridLayout *winsLayout = new QGridLayout( winsWidget );
  QLabel *winsLabel = new QLabel( i18n( "WINS server used by the system:" ), winsWidget );
  winsYesNo = new QLabel( i18n( "None" ), winsWidget );
  QSpacerItem *spacer3 = new QSpacerItem( 0, 10, QSizePolicy::Minimum, QSizePolicy::Fixed );
  QSpacerItem *spacer4 = new QSpacerItem( 10, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
  winsLayout->setSpacing( 5 );
  winsLayout->addItem( spacer3, 0, 0 );
  winsLayout->addWidget( winsLabel, 1, 0, 0 );
  winsLayout->addWidget( winsYesNo, 1, 1, 0 );
  winsLayout->addItem( spacer4, 1, 2 );
    
  grid->addWidget( browsebox, 0, 0, 0 );

  connect( useNMB, SIGNAL( stateChanged( int ) ), SLOT( slotBrowseStateChanged( int ) ) );
}


Smb4KNetworkOptions::~Smb4KNetworkOptions()
{
}


/////////////////////////////////////////////////////////////////////////////
// SLOT IMPLEMENTATIONS
/////////////////////////////////////////////////////////////////////////////



void Smb4KNetworkOptions::slotBrowseStateChanged( int state )
{
  if ( state == QRadioButton::On )
  {
    hostLabel->setEnabled( false );
    hostName->setEnabled( false );
  }
  else if ( state == QRadioButton::Off )
  {
    hostLabel->setEnabled( true );
    hostName->setEnabled( true );
  }
}


#include "smb4knetworkoptions.moc"
