/***************************************************************************
                          smb4koptionsdlg.h  -  description
                             -------------------
    begin                : Sam Feb 22 2003
    copyright            : (C) 2003 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMB4KOPTIONSDLG_H
#define SMB4KOPTIONSDLG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// KDE includes
#include <kdialogbase.h>
#include <kurlrequester.h>
#include <kconfig.h>

// application specific includes
#include "smb4kshareoptions.h"
#include "smb4knetworkoptions.h"
#include "smb4kauthoptions.h"
#include "smb4kappearanceoptions.h"
#include "../../smb4k.h"

class Smb4KOptionsDlg : public KDialogBase
{
  Q_OBJECT

  friend class Smb4KApp;
  
  public:
    Smb4KOptionsDlg( QWidget *parent=0, const char *name=0, bool modal = true ); 
    ~Smb4KOptionsDlg();

  protected:
    bool saveOptions();
    void readOptions();
    bool check();

  protected slots:
    void slotOk();
    void slotApply();

  private:
    KConfig *m_config;

    // Browse options page
    void setupNetworkOptions();
    Smb4KNetworkOptions *m_networkPage;

    // Mount options page
    void setupShareOptions();
    Smb4KShareOptions *m_sharePage;

    // Logins options page
    void setupAuthOptions();
    Smb4KAuthOptions *m_authPage;
    
    // Appearance page
    void setupAppearanceOptions();
    Smb4KAppearanceOptions *m_appearancePage;

};

#endif
