/***************************************************************************
    smb4kshareoptions  -  description
                             -------------------
    begin                : Sa Nov 15 2003
    copyright            : (C) 2003 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Qt includes
#include <qlayout.h>
#include <qvgroupbox.h>
#include <qlabel.h>

// KDE includes
#include <klocale.h>

// applications specific includes
#include "smb4kshareoptions.h"

Smb4KShareOptions::Smb4KShareOptions( QWidget *parent, const char *name ) : QWidget( parent, name )
{
  QGridLayout *grid = new QGridLayout( this );
  grid->setSpacing( 5 );
  
  QVGroupBox *dirbox = new QVGroupBox( i18n( "Directories" ), this );
  QLabel *defaultPathLabel = new QLabel( i18n( "This is the default directory, where Smb4K will mount the SMB shares to. Adjust it according to your wishes." ), dirbox );
  defaultPathLabel->setTextFormat( RichText );
  m_defaultPath = new KURLRequester( QString::null, dirbox );
  m_defaultPath->setMode( KFile::Directory );
  m_cleanUp = new QCheckBox( i18n( "Clean up the default directory on exit." ), dirbox );
  m_lowercase = new QCheckBox( i18n( "Force generated subdirectories to be lower case." ), dirbox );
    
  QVGroupBox *checkbox = new QVGroupBox( i18n( "Mount/Unmount" ), this );
  m_unmountAll = new QCheckBox( i18n( "Unmount all shares on exit." ), checkbox );
  m_mountRecent = new QCheckBox( i18n( "Mount recently used shares on start-up." ), checkbox );
//  m_useSuper = new QCheckBox( i18n( "Use super user privileges for mounting/unmounting." ), checkbox );

  grid->addWidget( dirbox, 0, 0, 0 );
  grid->addMultiCellWidget( checkbox, 1, 2, 0, 0, 0 );
}

Smb4KShareOptions::~Smb4KShareOptions()
{
}


#include "smb4kshareoptions.moc"
