/***************************************************************************
    smb4knetworktab.h  -  Displays information about a selected
    network item.
                             -------------------
    begin                : Sam Mr 15 2003
    copyright            : (C) 2003 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMB4KNETWORKTAB_H
#define SMB4KNETWORKTAB_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// Qt includes
#include <qwidget.h>
#include <qlistview.h>
#include <qstringlist.h>

// KDE includes
#include <ksqueezedtextlabel.h>

class Smb4KNetworkTab : public QWidget
{
  Q_OBJECT

  friend class Smb4KApp;

  public:
    Smb4KNetworkTab( QWidget *parent = 0, const char *name = 0 );
    ~Smb4KNetworkTab();

    void clear( int depth );

  protected slots:
    /** Receives the item info from the browser widget. */
    void slotItemInfo( QListViewItem *item );
    /** Receives the list of all workgroups and master hosts.
    */
    void slotWorkgroupList( const QStringList &wglist );
    /** This slot receives info of a certain host and processes is.
        It takes the server and the OS string.
    */
    void slotInfo( const QString &serverString, const QString & osString );
    /** This slot is called, if the scanner was killed.
    */
    void slotKilled();
    /** Is slot is activated, if the program rescanned the network and new
        data has been received. Signal was send by the network view. */
    void slotClear();

  private:
    QLabel *m_workgroupLabel;
    KSqueezedTextLabel *m_workgroup;
    QLabel *m_masterLabel;
    KSqueezedTextLabel *m_master;
    QLabel *m_hostLabel;
    KSqueezedTextLabel *m_host;
    QLabel *m_osLabel;
    KSqueezedTextLabel *m_os;
    QLabel *m_serverLabel;
    KSqueezedTextLabel *m_server;
    QLabel *m_shareLabel;
    KSqueezedTextLabel *m_share;
    QLabel *m_typeLabel;
    KSqueezedTextLabel *m_type;
    QListViewItem *m_current;
    QStringList m_data;
};

#endif
