/***************************************************************************
    smb4kinfotab.h  -  description
                             -------------------
    begin                : Mit Mr 12 2003
    copyright            : (C) 2003 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMB4KSHARETAB_H
#define SMB4KSHARETAB_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// Qt includes
#include <qwidget.h>
#include <qiconview.h>
#include <qtimer.h>

// KDE includes
#include <kprogress.h>
#include <kprocess.h>
#include <ksqueezedtextlabel.h>

/** This is a widget class. It displays info about a mounted share. */

class Smb4KShareTab : public QWidget
{
  Q_OBJECT
  
  public:
    Smb4KShareTab( QWidget *parent = 0, const char *name = 0 );
    ~Smb4KShareTab();

    /** Clears the display. */
    void clear();

  protected slots:
    void slotReceivedStdout( KProcess *, char *, int );
    void slotProcessExited( KProcess * );
    /* Monitors the currently selected share. */
    void monitor();
    /** Receives the info from outside. */
    void slotInit( const QString &item );

  private:
    /** Initiates the display. */
    void init( const QString &item );
    /** Holds the list view item, that was passed by the mounter
        widget. */
    QString m_current;
    QLabel *m_shareLabel;
    KSqueezedTextLabel *m_share;
    QLabel *m_mountpointLabel;
    KSqueezedTextLabel *m_mountpoint;
    QLabel *m_freeLabel;
    KSqueezedTextLabel *m_free;
    QLabel *m_usedLabel;
    KSqueezedTextLabel *m_used;
    QLabel *m_totalLabel;
    KSqueezedTextLabel *m_total;
    QLabel *m_usageLabel;
    QLabel *m_contentsLabel;
    KSqueezedTextLabel *m_contents;
    int m_percentage;
    QString m_buffer;
    QString m_command;
    KProgress *m_usage;
    KProcess *m_proc;
    /* The timer. */
    QTimer *m_timer;
    /* Determines whether there is an item or not. */
    bool hasItem;
};

#endif
